# Uses of Class
it.tdlight.jni.TdApi.InputStoryAreaType

## Uses of TdApi.InputStoryAreaType in it.tdlight.jni

Subclasses of TdApi.InputStoryAreaType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputStoryAreaTypeFoundVenue`
An area pointing to a venue found by the bot getOption("venue_search_bot_username").
`static final class`
`TdApi.InputStoryAreaTypeLocation`
An area pointing to a location.
`static final class`
`TdApi.InputStoryAreaTypeMessage`
An area pointing to a message.
`static final class`
`TdApi.InputStoryAreaTypePreviousVenue`
An area pointing to a venue already added to the story.
`static final class`
`TdApi.InputStoryAreaTypeSuggestedReaction`
An area pointing to a suggested reaction.
Fields in it.tdlight.jni declared as TdApi.InputStoryAreaType
Modifier and Type
Field
Description
`TdApi.InputStoryAreaType`
TdApi.InputStoryArea.`type`
Type of the area.
Constructors in it.tdlight.jni with parameters of type TdApi.InputStoryAreaType
Modifier
Constructor
Description
``
`InputStoryArea(TdApi.StoryAreaPosition position, TdApi.InputStoryAreaType type)`
Describes a clickable rectangle area on a story media to be added.